#include <fstream>
#include "core/vector/VectorT.h"
#include "core/vector/MatrixT.h"
#include "core/image/ImageT.h"
#include "core/imagedisplay/ImageDisplay.h"
#include <iostream>
#include "vislearning/features/localfeatures/LFColorWeijer.h"

using namespace std;
using namespace NICE;
using namespace OBJREC;

int main(int argc, char **argv)
{	
	if(argc < 1)
	{
		cerr << "Bitte Bild angeben" << endl;
		return -1;
	}
	
	Config *conf = new Config();
	LFColorWeijer lfc(conf);
		
	//! testen
	ColorImage cimg(argv[1]);
	ColorImage out;
	lfc.visualizeFeatures (cimg,out);
	
	cimg.writePPM("org.ppm");
	out.writePPM("out.ppm");
	
	return 0;
}

